# to install required dependencies 
```pip install -r requirements.txt```

# to run the telegram bot and listen for commands
```python3 moonlight_analytics.py```

# to run the nightly iperf test
```python3 nightly_test.py```

# to install a systemd service file for the telegram bot 
- update moonlight_analytics.service with correct paths
- cp moonlight_analytics.service /etc/systemd/system/
- sudo systemctl enable moonlight_analytics.service
- systemctl status moonlight_analytics.service (to see it running)

# to add a new router to the test 
the code for this project is on janastunuc in the following folder:
/datadrive/apps/moonlight_analytics/cowmesh-network-test

in that folder is a file cowmesh_constants.py

1. add the new router to NODES and HOST_TO_IP in cowmesh_constants.py with the host name and IP of the router 

2. ensure that iperf2 is installed on the new router

as documented here https://pad.commoninternet.net/p/cowmesh-report, there was an issue we were observing
with installing packages via opkg (which would be the easiest way to install iperf, if it works)

alternatively, I was able to avoid the opkg issue by downloading iperf2 directly from here https://downloads.openwrt.org/releases/18.06.9/packages/mips_24kc/base/ and then installing the binary directly on the router,
by passing a path to the local downloaded file to install directly via opkg 

3. on janastunuc, run: sudo systemctl restart moonlight_analytics 

ideally, any changes you make to cowmesh_constants.py can also be pushed to the gitea repository (https://git.coopcloud.tech/notplants/cowmesh-network-test),
so that gitea and the local code stay in in sync 